Bug 103711 - gdm login screen looks horrible at 1920x1440
gdm login screen looks horrible at 1920x1440
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: gdm (Show other bugs)
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Ray Strode [halfline]
Mike McLean
: Triaged
Depends On:
Blocks: CambridgeTarget
  Show dependency treegraph
Reported: 2003-09-04 00:33 EDT by Alexandre Oliva
Modified: 2007-11-30 17:06 EST (History)
0 users

See Also:
Fixed In Version: gdm-
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-09-09 11:49:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Screenshot of the ugly login screen (55.12 KB, image/jpeg)
2003-09-04 01:04 EDT, Alexandre Oliva
no flags Details

  None (edit)
Description Alexandre Oliva 2003-09-04 00:33:57 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4) Gecko/20030703

Description of problem:
After upgrading gdm to the version available from the RHN Severn updates
channel, the login screen at 1920x1440 looks awful.  The box that is supposed to
contain `Username:', the bar for the username, and the phrase `Please enter your
username', is *far* too small for its contents (the letters seem to be scaled
for the increased DPI, but the box isn't), and the contents of the bar at the
bottom, containing the menus and the date, are too tall, overflowing the bar. 
The misalignment between the menus and the date is also more apparent, which
makes the date not fit entirely in the bar.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.Configure X for 1920x1440
2.Restart gdm

Actual Results:  Disgust

Expected Results:  Pleasure :-)

Additional info:
Comment 1 Alexandre Oliva 2003-09-04 01:04:44 EDT
Created attachment 94194 [details]
Screenshot of the ugly login screen
Comment 2 Mike A. Harris 2003-09-04 06:06:07 EDT
Yuck.  I can reproduce this.
Comment 3 Kjartan Maraas 2003-09-05 19:35:47 EDT
It's the same for me on 1600x1200 with the latest everything from rawhide.
Comment 4 Alexandre Oliva 2003-10-08 09:47:42 EDT
My recollection is that it used to be prettier, but it doesn't look disgusting
any longer.  Thanks!
Comment 5 Alexandre Oliva 2003-10-20 10:03:03 EDT
It's much better, but still not perfect.  The text box supposed to contain host
name and current time is not tall enough.
Comment 6 Alexandre Oliva 2003-10-20 10:03:42 EDT
FWIW, the original bug made it to RHEL 3 :-(
Comment 7 Alexandre Oliva 2003-10-25 16:52:19 EDT
I'm opening a separate bug report for the remaining nit in Fedora Core, and
reassigning this bug to RHEL3.
Comment 8 Ray Strode [halfline] 2005-09-09 11:49:47 EDT
Hi Alexandre,

I think we fixed this in Fedora Core and upstream a few months ago (We made the
greeter text use Xft.dpi from /etc/X11/Xresources instead of a physical dpi). 
This should be fixed for RHEL5.

Note You need to log in before you can comment on or make changes to this bug.